FREEDOM-MAKER(1)

NAME
freedom-maker - image builder for FreedomBox

SYNOPSIS

freedom-maker [--build-stamp] [--image-size] [--build-mirror] [--mirror] [--distribution] [--include-source] [--package] [--custom-package] [--build-dir] [--log-level'] [--hostname] [--sign] [--force] [targets] [-h, --help]

DESCRIPTION

FreedomBox is a community project to develop, design and promote personal servers running free software for private, personal communications. It is a networking appliance designed to allow interfacing with the rest of the Internet under conditions of protected privacy and data security. It hosts applications such as blog, wiki, website, social network, email, web proxy and a Tor relay on a device that can replace a wireless router so that data stays with the users.

freedom-maker is a tool to build FreedomBox images for various single board computers, virtual machines and general purpose computers.

OPTIONS

--build-stamp
    Build stamp to use on image file names

--image-size
    Size of the image to build

--build-mirror
    Debian mirror to use for building

--mirror
    Debian mirror to use in built image

--distribution
    Debian release to use in built image

--include-source
    Whether to include source in build image, False by default

--package
    Install additional packages in the image

--custom-package
    Install package from DEB file into the image

--build-dir
    Directory to build images and create log file

--log-level'
    The logging level - choose one of ('critical', 'error', 'warn', 'info', 'debug'). Default log level is 'debug'.

--hostname
    Hostname to set inside the built images

--sign
    Sign the images with default GPG key after building

--force
    Force rebuild of images even when required image exists

targets
    Image targets to build. Choose one or more of freedommaker, dreamplug, raspberry, raspberry2, beaglebone, cubieboard2, cubietruck, a20-olinuxino-lime, a20-olinuxino-lime2, a20-olinuxino-micro, i386, amd64, virtualbox-i386, virtualbox-amd64, qemu-i386, qemu-amd64, pcDuino3

EXAMPLES

Example 1. Build BeagleBone image

    $ freedom-maker beaglebone

Build a FreedomBox image for the BeagleBone Single Board Computer.

Example 2. Build all images

    $ python3 -m freedommaker dreamplug raspberry raspberry2
          beaglebone cubieboard2 cubietruck a20-olinuxino-lime a20-olinuxino-lime2
          a20-olinuxino-micro i386 amd64 virtualbox-i386 virtualbox-amd64
          qemu-i386 qemu-amd64 pcDuino3

Build all the available FreedomBox images using freedom-maker.

BUGS

See the freedom-maker issue tracker[1] for a full list of known issues and TODO items.

AUTHOR

FreedomBox Developers

NOTES

1.  freedom-maker issue tracker
    https://github.com/freedombox/freedom-maker/issues